Public Class STP_DiscapacidadBusinessObject
    Inherits BusinessObject(Of STP_Discapacidad)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New STP_DiscapacidadDbHelper
    End Sub

    Public Sub New(ByVal entity As STP_Discapacidad)
        MyBase.New(entity)
        DbHelper = New STP_DiscapacidadDbHelper
    End Sub

    Public Sub New(ByVal idDiscapacidad As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idDiscapacidad = idDiscapacidad
        Dim Entity_Aux As STP_Discapacidad = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As STP_DiscapacidadBusinessObject
    Protected Shared Function GetDdHelperInstance() As STP_DiscapacidadDbHelper
        If _Instance Is Nothing Then
            _Instance = New STP_DiscapacidadBusinessObject
        End If
    Return CType(_Instance.DbHelper, STP_DiscapacidadDbHelper)
    End Function

    Public Shared Function GetListSTP_Discapacidad(Optional ByVal foreignLevel As Integer=0) As EntityList(Of STP_Discapacidad)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
